Name: junit
Version: 3.8.2
Release: alt3
Epoch: 1

Provides: junit = 0:%version
Conflicts: junit4

%def_without origsrc

Summary: Testing framework for Java
Group: Development/Java
License: CPL
URL: http://junit.org/

%define pkgdocdir %_docdir/%name-%version

BuildArch: noarch

BuildPreReq: rpm-build-java
#BuildRequires: ant
%if_with origsrc
BuildRequires: unzip
%endif

%if_with origsrc
Source: %name%version.zip
%else
Source: %name.tar
%endif

%description
JUnit is a regression testing framework written by Erich Gamma and
Kent Beck.  It is used by the developer who implements unit tests in
Java.

%package javadoc
Summary: Javadoc for Junit
Group: Development/Java

%description javadoc
This is Javadoc-generated API documentation for Junit,
a regression testing framework in Java.

%package manual
Summary: Manual for Junit
Group: Development/Java
Conflicts: junit < 3.8.2-alt1

%description manual
Documentation for Junit, a regression testing framework in Java.

%package demo
Summary: Samples for Junit
Group: Development/Java
Requires: %name = %version-%release

%description demo
Samples for Junit, a regression testing framework in Java.

%prep
%setup -q -c
%if_with origsrc
#rm -f junit.jar
#find junit -name '*.class' -delete
#unzip -q src.jar
rm src.jar
cd ..
tar cf - %name%version | bzip2 -9 > %_sourcedir/%name%version.tar.bz2
cd -
%endif

##build
#ant dist

%install
mkdir -p %buildroot%_javadir
install -p -m644 junit.jar %buildroot%_javadir/junit-%version.jar
ln -s junit-%version.jar %buildroot%_javadir/junit.jar

install -d -m755 %buildroot%_javadocdir/%name
cp -a javadoc/* %buildroot%_javadocdir/%name
install -d -m755 %buildroot%pkgdocdir
cp -a *.html doc junit/samples %buildroot%pkgdocdir
ln -s $(relative %_javadocdir/%name %pkgdocdir/) %buildroot%pkgdocdir/javadoc

%files
%_javadir/junit*.jar
%dir %pkgdocdir
%pkgdocdir/*.html

%files javadoc
%_javadocdir/*
%dir %pkgdocdir
%pkgdocdir/javadoc

%files manual
%dir %pkgdocdir
%pkgdocdir/doc

%files demo
%dir %pkgdocdir
%pkgdocdir/samples

%changelog
* Wed May 09 2007 Igor Vlasenko <viy@altlinux.ru> 1:3.8.2-alt3
- added JPackage stuff (required to build ant-contrib):
  Provides: junit = 0:3.8.2
  symlink to junit-3.8.2.jar

* Sun Mar 25 2007 Denis Smirnov <mithraen@altlinux.ru> 1:3.8.2-alt2
- downgrade to 3.8

* Tue Mar 20 2007 Denis Smirnov <mithraen@altlinux.ru> 4.1-alt2
- add symlink junit.jar -> junit-1.4.jar (#11160, damir@)

* Mon Mar 12 2007 Denis Smirnov <mithraen@altlinux.ru> 4.1-alt1
- 4.1

* Sat Mar 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.2-alt1
- 3.8.2
- Don't build as the source archive has lost build files
- Use macros from rpm-build-java
- Split off manual and demo

* Sun Aug 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.1-alt2
- Added unzip to BuildRequires

* Tue Sep 09 2003 Mikhail Zabaluev <mhz@altlinux.ru> 3.8.1-alt1
- New version
- Split out the javadoc package
- BuildRequires

* Mon May 27 2002 Mikhail Zabaluev <mhz@altlinux.ru> 3.7-alt1
- Initial package created
